<?php
$must_login            = true ;
$require_path          = '../../../' ;
$require_sub           = '../../' ;
require( $require_sub.'header.php' ) ;

if ( $boolean_login ){
	$status   		   = '201' ;

	$search_query      = '' ;
	if ( $array['search'] != '' ){
        $search_query .= " AND b.title LIKE '%".$array['search']."%'" ;
    }

    $query             = "SELECT a.category_id, a.file, a.created_at, b.title FROM handbook_category a
                          LEFT JOIN handbook_category_translation b ON ( a.category_id = b.category_id )
                          WHERE a.deleted_at IS NULL AND b.lang = '".$array['lang']."' AND a.category_type = 'main' " . $search_query ;
    $mysqli_query      = $mysqli->query( $query . " ORDER BY a.sortable ASC, a.created_at DESC LIMIT " . getLimit( $current ) ) ;

    if ( $mysqli_query->num_rows > 0 ){

        $status        = '200' ;

        $list          = [] ;
        while ( $row   = $mysqli_query->fetch_assoc() ){
            $row['id']      = dataFilter( $row['category_id'] ) ;
			$row['title']   = dataFilter( $row['title'] ) ;
            $row['file']    = ( $row['file'] != '' ? PATH.'uploads/HandbookCategory/b/'.$row['file'] : '' ) ;
            $list[]         = $row ;
        }

        $data['list']  = $list ;

    }
}

require( $require_sub.'footer.php' ) ;
?>